cURL
curl --request GET \ --url https://api.io.solutions/enterprise/v1/io-cloud/caas/deployment/{deployment_id} \ --header 'Authorization: Bearer <token>' \ --header 'x-api-key: <x-api-key>'
{ "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "status": "<string>", "created_at": "2023-11-07T05:31:56Z", "started_at": "2023-11-07T05:31:56Z", "finished_at": "2023-11-07T05:31:56Z", "amount_paid": 123, "completed_percent": 123, "total_gpus": 123, "gpus_per_container": 123, "total_containers": 123, "hardware_name": "<string>", "hardware_id": 123, "locations": [ { "id": 123, "iso2": "<string>", "name": "<string>" } ], "brand_name": "<string>", "compute_minutes_served": 123, "compute_minutes_remaining": 123, "container_config": { "entrypoint": [ "<string>" ], "env_variables": {}, "traffic_port": 123, "image_url": "<string>", "secret_env_keys": [ "<string>" ] } } }
Retrieve detailed information about a specific deployment.
Documentation IndexFetch the complete documentation index at: https://io.net/docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://io.net/docs/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
io.net provided API Key
Successful Response
Show child attributes
Was this page helpful?